"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __exportStar = (this && this.__exportStar) || function(m, exports) {
    for (var p in m) if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports, p)) __createBinding(exports, m, p);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.create = exports.Client = exports.GitHub = void 0;
const GitHub_1 = require("./GitHub");
Object.defineProperty(exports, "GitHub", { enumerable: true, get: function () { return GitHub_1.GitHub; } });
const ApiClientImpl = __importStar(require("./ApiClientImpl"));
const api_1 = require("./api");
Object.defineProperty(exports, "Client", { enumerable: true, get: function () { return api_1.Client; } });
const node_fetch_1 = __importDefault(require("node-fetch"));
__exportStar(require("./types"), exports);
const create = (args) => {
    const baseUrl = args.baseUrl || "https://api.github.com";
    const _fetch = args.fetch || node_fetch_1.default;
    const apiClientImpl = ApiClientImpl.create({
        accessToken: args.accessToken,
        fetch: _fetch,
    });
    const client = new api_1.Client(apiClientImpl, baseUrl);
    const github = new GitHub_1.GitHub(client, args.owner, args.repo);
    return github;
};
exports.create = create;
exports.default = exports.create;
