import type { ApiClient, QueryParameters } from "./api";
import type * as Types from "./types";
export declare const generateQueryString: (queryParameters: QueryParameters | undefined) => string | undefined;
export interface Params {
    accessToken?: string;
    fetch: Types.FetchFunction;
}
export declare const create: (params: Params) => ApiClient<Types.RequestOption>;
